# ===============================
# = DATA SOURCE
# ===============================
spring.datasource.url = jdbc:mysql://localhost:3306/medusa?verifyServerCertificate=false&useSSL=true
spring.datasource.username = root
spring.datasource.password = MaiQuang152
spring.datasource.testWhileIdle = true
spring.datasource.validationQuery = SELECT 1
spring.datasource.driver-class-name=com.mysql.jdbc.Driver

# ===============================
# = JPA / HIBERNATE
# ===============================
spring.jpa.show-sql = true
spring.jpa.generate-ddl = false
spring.jpa.hibernate.ddl-auto = none
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
spring.jpa.hibernate.use-new-id-generator-mappings=false

# ===============================
# = tmovie Configuration
# ===============================
com.tmovie.numOfVideos= 2

# openload
com.tmovie.apiLogin=90ef5baa8012c606
com.tmovie.apiKey=d69LZ2Gh
com.tmovie.baseUrl=https://api.openload.co/1

# streamango
#com.tmovie.apiLogin=ISprKKjrax
#com.tmovie.apiKey=ZkI9HRNd
#com.tmovie.baseUrl=https://api.fruithosted.net

com.tmovie.migrationUri=/remotedl/add
com.tmovie.checkMigrationUri=/remotedl/status
# com.tmovie.apiLogin=jKgh9p6QJN
# com.tmovie.apiKey=bM_lki6n
logging.level.com.tmovie=DEBUG
# Logging pattern for the console
logging.pattern.console= %d{yyyy-MM-dd HH:mm:ss} %-5p %c{1}:%L - %m%n